/***********************************************************************
 *
 * FileName:
 *		GDefs.h
 *
 * Description:
 *    GLib base declarations.
 *
 * Copyright  2000, Greg Winton.
 * All rights reserved.
 *
 *******************************************************************/

#ifndef __GDEFS_H__
#define __GDEFS_H__

// PalmPilot common definitions
#include "PalmOS.h"

#define glibErrorClass  (appErrorClass | 0x0100)
#define glibSuccess     0
#define glibErrMemory   (appErrorClass | 0x0001)
#define glibErrFile     (appErrorClass | 0x0002)
#define glibErrNoData   (appErrorClass | 0x0003)
#define glibErrFull     (appErrorClass | 0x0004)

#define GOffsetOf(STR, ATTR) \
    (UInt16) ( (void*) &(((STR*) NULL)->ATTR) - (void*) &((STR*) NULL))

#define glibInvalidIndex    ((UInt16) -1)

#endif	// __GDEFS_H__
